Package org.apache.qpid.proton.codec

# Class CharacterType

java.lang.Object
org.apache.qpid.proton.codec.CharacterType

All Implemented Interfaces:
  `AMQPType<Character>`, `PrimitiveType<Character>`

public class CharacterType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`CharacterType.CharacterEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<CharacterType.CharacterEncoding>`
`getAllEncodings()`
`CharacterType.CharacterEncoding`
`getCanonicalEncoding()`
`CharacterType.CharacterEncoding`
`getEncoding(Character val)`
`Class<Character>`
`getTypeClass()`
`void`
`write(char c)`
`final void`
`write(Character val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Character> getTypeClass()

### getEncoding

public CharacterType.CharacterEncoding getEncoding(Character val)

### getCanonicalEncoding

public CharacterType.CharacterEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<CharacterType.CharacterEncoding> getAllEncodings()

### write

public void write(char c)

### write

public final void write(Character val)

Specified by:
  `write` in interface `AMQPType<T>`